/***********************************************************
 *
 *   Program:    pstate.h
 *   Copyright:  Point Transactions Systems A/S
 *   Comments:
 *
 ************************************************************/

#ifndef __PSTATE_H
#define __PSTATE_H

typedef enum 
{
  PSTATE_MIN = 1,
  PSTATE_INIT,
  PSTATE_IDLE,
  PSTATE_SPARE_01,
  PSTATE_CONNECTED,
  PSTATE_SPARE_02,
  PSTATE_OPEN,
  PSTATE__SPARE_03,
  PSTATE_TRANS,
  PSTATE_TRANS_ABORT, // 10
  PSTATE_CARD,
  PSTATE_CARD_ABORT,
  PSTATE_TRANS_CARD,
  PSTATE_CARD_REQ_AMOUNT,
  PSTATE_TRANS_REQ_AMOUNT,
  PSTATE_SEND_CARDDATA,
  PSTATE_AMOUNT_READY,
  PSTATE_ANS_AMOUNT,
  PSTATE_TRANS_COMMIT,
  PSTATE_TRANS_PRINT, // 20
  PSTATE_PRINT_WAIT_ACK,
  PSTATE_PRINT_WAIT_ACK_VERIFY,
  PSTATE_TRANS_WAIT_ACK,
  PSTATE_TRANS_PRINTED,
  PSTATE_TRANS_SIGNATURE_CONFIRMED,
  PSTATE_TRANS_LASTPRINT,
  PSTATE_TRANS_END,
  PSTATE_TRANS_END_CARD,
  PSTATE_TRANS_END_TRANS,
  PSTATE_TRANS_END_ADMIN, // 30
  PSTATE_TRANS_END_ADMIN_LOCK,
  PSTATE_EXT_CARD,
  PSTATE_EXT_CARD_TRANS,
  PSTATE_EXT_CARD_WAIT_ACK,
  PSTATE_EXT_WAIT_HOSTDATA,
  PSTATE_EXT_CARD_COMMIT,
  PSTATE_EXT_TRANS_END,
  PSTATE_EXT_CARD_COMMIT_NOECR,
  PSTATE_EXT_CARD_COMMIT_CONFIRM,
  PSTATE_EXTTRANS_END_CARD, // 40
  PSTATE_EXTTRANS_END_CARD_ADMIN,
  PSTATE_EXTTRANS_END_CARD_ADMINLOCK,
  PSTATE_ADMIN,
  PSTATE_ADMIN_PRINT,
  PSTATE_ADMIN_RECEIPT_PRINTED,
  PSTATE_ADMIN_PRINT_FIRST_RECEIPT,
  PSTATE_ADMIN_PRINT_SECOND_RECEIPT,
  PSTATE_TRANS_ECRCOMERR,
  PSTATE_TRANS_ECRCOMERR_AMOUNT,
  PSTATE_ECRCOMERR, // 50

  // Nye states ...
  PSTATE_ADMIN_ERROR,
  PSTATE_ADMIN_PRINT_PREV,
  PSTATE_ADMIN_PREV_PRINTED,
  PSTATE_SPARE_04,
  PSTATE_SPARE_05,
  PSTATE_SPARE_06,
  PSTATE_SPARE_07,
  PSTATE_SPARE_08,
  PSTATE_ADMIN_REBOOT,
  PSTATE_OPEN_MENU, // 60
  PSTATE_TRANS_MENU,
  PSTATE_TRANS_OPEN,
  PSTATE_SYSTEM_ERROR,
  PSTATE_TRANS_ABORT_TIMEOUT, // New lnr 050711
  PSTATE_STOPLIST,
  PSTATE_TRANS_DELAY_PRERES_UNTIL_RECEIPT_ACK,
  PSTATE_TRANS_KEY,
  PSTATE_TRANS_SCAN,
  PSTATE_PRINT_WAIT_ACK_VAS_VERIFY,
  
  PSTATE_MAX
} PSTATE;

#endif // __PSTATE_H
